#version 430 core
out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D inTex;
uniform vec4 _quadcolor;
void main()
{
    vec4 outCol = _quadcolor;
    vec4 tex = texture(inTex, TexCoords);

    if(textureSize(inTex, 0).x > 0)
      outCol = tex;

    FragColor = outCol;
}
